Subject: town.cac.washington.edu sending ICMP unreachables to multicast groups

From: Bill Fenner <[email-masked]>
Date: Thu, 3 Oct 1996 19:06:02 PDT

While we're talking about weird ICMP messages...

The following packets:

18:50:34.296010 town.cac.washington.edu > 224.173.50.0: icmp: host 128.95.90.255 unreachable
                         4500 0038 002a 0000 5001 7d3f 805f 5a4f
                         e0ad 3200 0301 ae25 0000 0000 4500 00f3
                         80b1 0000 3b11 4852 805f 5a39 805f 5aff
                         5014 0000 ccc4 3200
18:50:34.329195 town.cac.washington.edu > 228.111.48.0: icmp: host 128.95.90.255 unreachable
                         4500 0038 002a 0000 5001 7b7d 805f 5a4f
                         e46f 3000 0301 a8ce 0000 0000 4500 0034
                         0000 0000 0111 0398 805f 5a64 805f 5aff
                         5020 0000 0208 0208

indicate what appears to be a somewhat scary problem.  It looks like
town.cac.washington.edu is mangling the IP destination address on ICMP
errors that it is sending and making them multicast addresses.
In any case, town.cac.washington.edu should not be sending ICMP errors in
response to these packets, since they are broadcasts.  Could whoever is in
charge of the 128.95.90 subnet either fix town.cac.washington.edu to not
send multicasted ICMP errors, or disconnect that subnet from the global
MBONE until town.cac.washington.edu is fixed?

Thanks,
  Bill